# Cisco AsyncOS (IronPort)

**Note: this package is for CheckMK version 2.x. For other versions see the corresponding branch.**

Collection of Cisco AsyncOS checks
*  *cisco_asyncos_fan*: monitors the appliance fans
*  *cisco_asyncos_raid*: monitors the appliance RAID drives
*  *cisco_asyncos_temp*: monitors the appliance temperature sensors
*  *cisco_asyncos_power*: monitors the appliance power supplies
*  *cisco_asyncos_license*: monitors the license status
*  *cisco_asyncos_update*: monitor product update status
*  *cisco_asyncos_queue*: monitor status of the work queue (only ESA)
*  *cisco_asyncos_dns*: monitor status of DNS requests (only ESA)
*  *cisco_asyncos_messageage*: monitor oldest message (only ESA)
*  *cisco_asyncos_resources*: monitor system resources (only ESA)
*  *cisco_asyncos_cpu*:
*  *cisco_asyncos_mem*:
*  *cisco_asyncos_bandwidth*: (only for WSA)
*  *cisco_asyncos_cache*: (only for WSA)
*  *cisco_asyncos_conn*: (only for WSA)
*  *cisco_asyncos.include*:
---
### Check Info *cisco_asyncos_fan*

* *service*: this check creates one service per Fan
* *state*: **warning**/**critical**: see *fan.include*
* *wato*: see *fan.include*
* *perfdata*: 
    * Fan speed (rpm)

**Note**: this check uses *fan.include*

Sample output

![sample output](/doc/sample_fan.png?raw=true)
---
### Check Info *cisco_asyncos_raid*

* *service*: this check creates one service per RAID drive
* *state*:\
    **critical**: on RAID drive failure\
    **waring** : on RAID drive rebuild
* *wato*: none
* *perfdata*: none

Sample output

![sample output](/doc/sample_raid.png?raw=true)
---
### Check Info *cisco_asyncos_temp*

* *service*: this check creates one service per temperature sensor
* *state*:\
    **critical**/**warning**: see *temperature.include*
* *wato*: see *temperature.include*
* *perfdata*: 
    * Temperature (c)

**Note**: this check uses *temperature.include*

Sample output

![sample output](/doc/sample_temp.png?raw=true)
---
### Check Info *cisco_asyncos_power*

* *service*: this check creates one service per power supply
* *state*:\
    **critical**: if the power supply is faulty, or has no power or if power redundancy is lost\
    **warning**: if the power supply is not installed
* *wato*: None
* *perfdata*: None

Sample output

![sample output](/doc/sample_power.png?raw=true)
---
### Check Info *cisco_asyncos_license*

* *service*: this check creates the service *License*
* *state*: **critical**/**warning** if the licensed feature expiration date below configured levels 
* *wato*:\
    **warning/critical** levels in days before license expires\
    **Features to ignore** list of license features to ignore
* *perfdata*: none

Sample output
![sample output](/doc/sample_license.png?raw=true)
---
### Check Info *cisco_asyncos_queue*

* *service*: this check creates the service *Work Queue Size*
* *state*: **critical**/**warning** if the number of messages in the work queue above configured levels 
* *wato*: 
    **warning/critical** levels for number of messages in the work queue (default is 50/100)
* *perfdata*: number of messages in the work queue

Sample output
![sample output](/doc/sample_workqueue.png?raw=true)
---
### Check Info *cisco_asyncos_update*

* *service*: this check creates the service *Update*
* *state*: **critical**/**warning** if the number of failed update attepts above configured levels 
* *wato*: 
    **warning/critical** levels for numberfailed update attempt (default is 5/10)
* *perfdata*: last update status for each feature (1 for passed, -1 for failed)


Sample output

![sample output](/doc/sample_updates.png?raw=true)
---
